Projekte
Projekt erstellen
Requires scope: project:create
POST
/
projects
Create project
curl --request POST \
--url https://app.deal-pipe.de/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"street": "<string>",
"houseNumber": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"description": "<string>",
"apiDataSource": "<string>",
"apiDataReception": "<string>"
}
'import requests
url = "https://app.deal-pipe.de/api/v1/projects"
payload = {
"name": "<string>",
"street": "<string>",
"houseNumber": "<string>",
"postalCode": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"description": "<string>",
"apiDataSource": "<string>",
"apiDataReception": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
street: '<string>',
houseNumber: '<string>',
postalCode: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
description: '<string>',
apiDataSource: '<string>',
apiDataReception: '<string>'
})
};
fetch('https://app.deal-pipe.de/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"street": "<string>",
"houseNumber": "<string>",
"postalCode": "<string>",
"city": "<string>",
"country": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": "<unknown>"
}
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Accepted but ignored. Set visibility on each property instead.
Verfügbare Optionen:
online, offline, pending_review Antwort
Created
Show child attributes
Show child attributes
⌘I
Create project
